View Issue Details

IDProjectCategoryView StatusLast Update
0000267FreeCADBugpublic2011-02-21 15:35
ReporterwmayerAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.11 
Target Version0.12Fixed in Version0.12 
Summary0000267: Undo/redo of custom python objects doesn't work
DescriptionThe python object looses its ViewProvider proxy somehow and thus cannot be shown anymore when doing a redo.
TagsNo tags attached.

Activities

wmayer

2011-02-18 14:56

administrator   ~0000621

When removing an object from document its view provider gets always deleted and thus also the Proxy object. When undoing this the Proxy is not restored anymore.

wmayer

2011-02-21 15:35

administrator   ~0000627

Fixed in rev. 4096

Issue History

Date Modified Username Field Change
2011-02-16 15:16 wmayer New Issue
2011-02-16 15:16 wmayer Status new => assigned
2011-02-16 15:16 wmayer Assigned To => wmayer
2011-02-18 14:56 wmayer Note Added: 0000621
2011-02-21 15:35 wmayer Note Added: 0000627
2011-02-21 15:35 wmayer Status assigned => closed
2011-02-21 15:35 wmayer Resolution open => fixed
2011-02-21 15:35 wmayer Fixed in Version => 0.12
2011-02-21 15:35 wmayer Target Version => 0.12